Title Page

ProDigital Software StarSpikes Pro 3

Filter Plug-in for Adobe® Photoshop® and 8BF-Compatible Editors

Interactive Instruction Manual

Beautiful diffraction effects can make an astroimage really sparkle Most professional telescopes are of a design that creates diffraction effects around bright stars. The spikes and flare are simply beautiful to see, they convey a sense of image perfection, and they make a lasting impression on viewers.

This manual will provide you with everything you need to know to use StarSpikes Pro 3 to create these stunning effects digitally in your own astroimages.

We provide a table of contents and the entire manual can be searched. Where topics refer to other topics, colored links are provided in the text. For example:

You may wish to visit the Introduction or Installation sections next.

Click this icon to get help When you're using the product, watch for this symbol - the Help icon. Click it any time you need assistance and you'll be shown this manual.

Thank you for choosing StarSpikes Pro 3! Now your images can be among the most memorable ever published!

Copyright © 2010-2015 ProDigital Software. All Rights Reserved.


Introduction

Spikes can add a sense of depth to your image Introduction

StarSpikes Pro 3 is an Adobe® Photoshop® compatible 8BF style filter plug-in that works as part of your image editor to create beautiful, photo-realistic diffraction effects around stars in your astroimages. You can add effects to images that don't have them or you can augment and perfect the appearance of optical diffraction effects already present in your images.

Our installer is quite straightforward, but if you need assistance in working through it or just want an idea of what it will look like when you run it, please visit the Installation section.

After installing this product, we recommend you read the Getting Started section.

You can use the StarSpikes Pro 3 plug-in with Adobe® Photoshop® or with other image editors that support Adobe® Photoshop® compatible 8BF style filter plug-ins, but be aware that some image editors are more 8BF-compatible than others. Please see the System Requirements section for a list of image editors that we have tested.

If you find any errors in this manual or if there is something you would like to see added to it, please drop us a line at: StarSpikesManual@ProDigitalSoftware.com


Installation

This is what the installer "Tree View" looks like Installation

When you install StarSpikes Pro 3, our installer will identify all of the image editors on your system into which the plug-in can be automatically installed. The editors that it recognizes will be listed in what Microsoft calls a "Tree" control at the beginning of the installation.

Choosing What Editors to Install Into

This is what the installer "Tree View" looks like You can use this "Tree" control to determine which of your image editors will have StarSpikes Pro 3 installed. Simply click on the entry for the editor and you will see a small menu in which you can enable or disable installation for that particular editor. By default, our installer will install StarSpikes Pro 3 for every image editor that it recognizes.

Note that on a 64 bit Windows system, the list has two parts. One for 32 bit Windows applications and one for 64 bit. The installer will install the different StarSpikes Pro 3 variants of the plug-in - a 32 bit version and a 64 bit version - in the appropriate places.

Even if our installer does not recognize any image editor on your system, it will still install the StarSpikes Pro 3 plug-in in our own folder(s). You can then add the plug-in manually (e.g., by copying) into an image editor that the installer did not recognize.

Note that you can change the choices you made when you first installed StarSpikes Pro 3. Simply use the Windows control panel Programs and Features tool (called Add or Remove Programs on XP) to run our installer again. Choose Change and make whatever changes you wish using the "Tree" control.

Note that StarSpikes Pro 3 can coexist on the same machine with its predecessors, StarSpikes Pro version 1 and StarSpikes Pro 2. You do not need to uninstall the older version(s).

What's Next?

  • The installer didn't show my image editor!
  • It's installed. How do I run StarSpikes Pro 3?
  • Getting Started using StarSpikes Pro 3.


Plug-in Locations

Plug-in File Locations

The installer will install one or two variants of StarSpikes Pro 3 on your system, depending on whether you are running a 32 bit or 64 bit version of Windows and depending on the selections you make when you install the product.

If You Have a 32 bit Windows System

On a 32 bit Windows system, only the 32 bit variant of StarSpikes Pro 3 is installed. The folder on your system drive that contains the 32 bit plug-in is:

\Program Files\ProDigital Software\StarSpikes Pro 3

The 32 bit plug-in file is named: StarSpikesPro3.8bf

If You Have a 64 bit Windows System

On a 64 bit Windows system, the installer will, by default, install both a 32 bit variant of the plug-in and a 64 bit variant of the plug-in. Note that it is possible to avoid the installation of either variant when you install StarSpikes Pro 3. but by default both variants will be installed.

The 32 bit StarSpikes Pro 3 plug-in is installed into this folder:

\Program Files (x86)\ProDigital Software\StarSpikes Pro 3

The 32 bit plug-in file is named: StarSpikesPro3.8bf

The 64 bit StarSpikes Pro 3 plug-in is installed into this folder:

\Program Files\ProDigital Software\StarSpikes Pro 3

The 64 bit plug-in file is named: StarSpikesPro3X64.8bf

Installation Into Editors

As mentioned above, in addition to installing the plug-in files into the locations listed above, copies of the plug-in file will automatically be put into appropriate locations for each recognized image editor.

Tip: The above locations of the plug-in files are important if you have to manually install StarSpikes Pro 3 into your image editor. If all of your image editors were recognized by our installer, you probably don't need to worry about these file locations.


Manual Installation

If our installer does not recognize your image editor, you may still be able to install StarSpikes Pro 3 manually. These links will direct you to some information on how to do this.

  • Install Into IrfanView on your computer.
  • Install Into Another Image Editor on your computer.

Remember that your image editor MUST be one that supports Adobe® Photoshop® compatible 8BF style filter plug-ins.

The instructions in the links above do not cover every possible image editor. If you still cannot figure out how to install the plug-in in your image editor, we recommend that you examine the editor documentation carefully and/or contact the author of the editor for help.

Tip: You can, of course, contact us by eMail at Support@ProDigitalSoftware.com for assistance and we will try to help.


Install Into IrfanView

IrfanView, a shareware viewer/editor, does not lend itself to the automatic installation of a plug-in using an installer. However, it can use 8BF filters. Here is how to manually install StarSpikes Pro 3 if you are using IrfanView as your image editor.

Install the 8BF Filters Plug-in

IrfanView requires an intermediate plug-in of its own called 8BF Filters in order to be able to run StarSpikes Pro 3. It is freely downloadable from the same websites from which you can download IrfanView itself. Install the 8BF Filters plug-in for IrfanView if you have not already done so. IrfanView's help explains how to download and install standard IrfanView plug-ins such as the 8BF Filters plug-in.

Open the IrfanView - Adobe 8BF Filters dialog box

First, you must open an image to view in IrfanView in your normal manner. You will not be able to access the 8BF Filters dialog if no image is loaded.

Click on Image in the main menu, then select Effects in the drop down menu. This will give you yet another menu which will contain (among other things) an item called Adobe 8BF Filters. Click it and you should see the IrfanView - Adobe 8BF Filters dialog box.

Note that you can also directly access the IrfanView - Adobe 8BF Filters dialog box by pressing Control K on your keyboard.

The IrfanView Adobe 8BF Filters Dialog

Add StarSpikes Pro 3 to the list

Press the [ Add 8BF Filters ] button, then navigate to the folder containing the StarSpikes Pro 3 plug-in that is installed on your computer. See Plug-in File Locations for the location of this file. Currently, IrfanView is only available as a 32 bit application so you will want the 32 bit variant of StarSpikes Pro 3. Select the folder containing the 32 bit file StarSpikesPro3.8bf.

Selecting the StarSpikes Pro 3 folder

Once you have added StarSpikes Pro 3 to the list in the IrfanView - Adobe 8BF Filters dialog box, it will remain there until you remove it. You should not have to repeat this procedure.

Note that if in the future you choose to uninstall StarSpikes Pro 3, remember also to use the [ Remove Filter ] button to remove the plug-in from IrfanView.


Install Into Another Editor

Install Into An Image Editor Not Shown In Our Installer

This section provides generalized instructions on how to install StarSpikes Pro 3 for use with an image editor that is not recognized by our installer.

It's important to understand that we install a copy of the plug-in on your system even if our installer doesn't see your editor. The locations in which to find the 32 and 64 bit copies of the plug-in are listed in the Plug-in File Locations section of this manual.

Use The Editor's Plug-in Interface Dialog (Preferred)

Editors that provide 8BF-style plug-in compatibility often provide a dialog through which you can configure a folder to be checked by the editor for plug-ins. If the editor provides such a facility, we recommend you configure it to run StarSpikes Pro 3 directly from the folder containing the appropriate 32 or 64 bit plug-in variant, as identified in Plug-in File Locations.

Use Image Editor Plug-in Folder

If it does not provide direct configurability of where to find 8BF-style plug-ins, as listed above, your image editor may provide a folder location into which you can copy an xxxxxxxx.8bf plug-in file so it will be found and run. Examine the editor's documentation to determine if it uses this method and find out where its plug-in folder is located.

If the editor provides a folder for plug-ins, you must copy the appropriate 32 or 64 bit variant of the StarSpikes Pro 3 plug-in into the plug-in folder of your image editor. If your image editor is a 32 bit application, you must copy the plug-in file StarSpikesPro3.8bf into the editor's plug-in folder. If your image editor is a 64 bit application, you must copy the plug-in file StarSpikesPro3X64.8bf into the editor's plug-in folder. See Plug-in File Locations for the locations of the plug-in files.

You can do this by using one or more Explorer windows and the right mouse button. Drag the appropriate StarSpikes Pro 3 plug-in file identified above to the image editor plug-in folder with the right mouse button held down. When you drop the plug-in file into the image editor's plug-in folder (releasing the mouse button), you will be prompted. Choose Copy to cause a copy of the StarSpikes Pro 3 plug-in file to be placed in the image editor's plug-in folder.

Do NOT Move the StarSpikes Pro 3 plug-in file to the image editor's plug-in folder - make sure to Copy it instead. Moving the plug-in file out of its normal location can interfere with proper operation and future updates.

Start your image editor, open an image, and verify that the StarSpikes Pro 3 plug-in is available. See your image editor's documentation to determine where StarSpikes Pro 3 should be found in the image editor's menu structure.

Remember: After having done a manual install by copy as above, if in the future you download and install an update to StarSpikes Pro 3, you will need to repeat the copy.

Note also that if you choose to uninstall StarSpikes Pro 3, you will also want to delete the plug-in file you copied into your editor's plug-in folder.

You can, of course, contact us by eMail at Support@ProDigitalSoftware.com for assistance and we will try to help.


How Do I Run StarSpikes Pro 3?

Now that you have installed StarSpikes Pro 3, you may be wondering how to start it. This is understandable. Some image editors have many menus and it would take a long time to go through them all.

The links below will help you start StarSpikes Pro 3:

  • How To Run StarSpikes Pro 3 in Adobe® Photoshop®.
  • How To Run StarSpikes Pro 3 in Adobe® Photoshop® Elements.
  • How To Run StarSpikes Pro 3 in Corel® PaintShop™ Pro.
  • How To Run StarSpikes Pro 3 in CorelDRAW® PHOTO-PAINT™.
  • How To Run StarSpikes Pro 3 in IrfanView.
  • How To Run StarSpikes Pro 3 in Another Editor.


How to Run StarSpikes Pro 3 in Adobe® Photoshop®

If your image editor is Adobe® Photoshop®, our installer will automatically detect the editor on your system, and after installation (and a restart of Photoshop) StarSpikes Pro 3 will appear in the Photoshop menus.

To Run The Plug-in

Open your image and make it the current document, then click on Filter and hover over ProDigital Software in the drop down menu. You can then see and click on StarSpikes Pro 3...

Running the plug-in from Photoshop's menus

The Plug-In About Dialog

Adobe® Photoshop® also gives you direct access to our About Dialog. There you can see the version of the plug-in, as well as change configuration options and find some other useful information about StarSpikes Pro 3. You don't even have to load an image.

To see the StarSpikes Pro 3 About Dialog in Adobe® Photoshop®, click on Help in the Adobe® Photoshop® main menu then select About Plug-in. This will present another menu with a list of your plug-ins that have About Dialogs. You will find StarSpikes Pro 3... toward the end of the list.

Note that an entry for ProDigital Software will not be found in this menu. You must locate the name of the plug-in, not the company.

About the plug-in from Photoshop's menus


How to Run StarSpikes Pro 3 in Adobe® Photoshop® Elements

If you're using Adobe® Photoshop® Elements, our installer will automatically detect the editor on your system, and after installation (and a restart of Photoshop Elements) StarSpikes Pro 3 is found under Filter in the main menu.

To Run The Plug-in

Open your image, then click on Filter in the Adobe® Photoshop® Elements main menu and hover over ProDigital Software in the drop down menu. You can then see and click on StarSpikes Pro 3...

Running the plug-in from the Photoshop Elements menu

The Plug-In About Dialog

Photoshop Elements also gives you direct access to our About Dialog. There you can see the version of the plug-in, as well as change configuration options and find some other useful information about StarSpikes Pro 3. You don't even have to load an image.

To see the StarSpikes Pro 3 About Dialog in Adobe® Photoshop® Elements, click on Help in the Adobe® Photoshop® Elements main menu then select About Plug-in. This will present another menu with a list of your plug-ins that have About Dialogs. You will find StarSpikes Pro 3... toward the end of the list.

Note that an entry for ProDigital Software will not be found in this menu. You must locate the name of the plug-in, not the company.

About the plug-in from the Photoshop Elements menu


How to Run StarSpikes Pro 3 in Corel® PaintShop™ Pro

If your image editor is Corel® PaintShop™ Pro, our installer will automatically detect the editor on your system, and after installation (and a restart of PaintShop) StarSpikes Pro 3 will appear in the PaintShop menus.

To Run The Plug-in

Open your image, then click on Effects and select Plug-ins. This will give you a list of all of your filter plug-ins.

In the list of filter plug-ins select ProDigital Software then click on StarSpikes Pro 3...

Where to Find StarSpikes Pro 3 in the PaintShop Pro Menus

The Plug-In About Dialog

Corel® PaintShop™ Pro does not offer direct access to our About Dialog, as some other editors do. You will need to start StarSpikes Pro 3, then click on the [ Help And Support ] button or the Product Icon in the Main Dialog.


How to Run StarSpikes Pro 3 in CorelDRAW® PHOTO-PAINT™

If your image editor is PHOTO-PAINT™, part of the CorelDRAW® Graphics Suite, our installer will automatically detect the editor on your system, and after installation (and a restart of PHOTO-PAINT) StarSpikes Pro 3 will appear in the PHOTO-PAINT menus.

To Run The Plug-in

Open your image, then click on Effects. Select ProDigital Software then click on StarSpikes Pro 3...

Where to Find StarSpikes Pro 3 in the PHOTO-PAINT Menus

The Plug-In About Dialog

CorelDRAW® PHOTO-PAINT™ does not offer direct access to our About Dialog, as some other editors do. You will need to start StarSpikes Pro 3, then click on the [ Help And Support ] button or the Product Icon in the Main Dialog.


How to Run StarSpikes Pro 3 in IrfanView

If your image editor is IrfanView, StarSpikes Pro 3 can be run via the IrfanView intermediate plug-in connector, "Adobe 8BF Filters".

Note: You MUST have IrfanView's 8BF Filters intermediate plug-in installed to use StarSpikes Pro 3 with IrfanView. See Install Into IrfanView for more information.

To Run The Plug-in

First, you must open an image to edit in your normal manner. StarSpikes Pro 3 will not be available if there is no image open.

Click on Image in the main menu, then select Effects in the drop down menu. This will give you yet another menu which will contain (among other things) an item called Adobe 8BF Filters. Select Adobe 8BF Filters. You should see the IrfanView - Adobe 8BF Filters dialog box.

Note that you can also directly access the IrfanView - Adobe 8BF Filters dialog box by pressing Control K on your keyboard.

The first time that you use StarSpikes Pro 3, you will have to add the plug-in to the list in this dialog box. See Install Into IrfanView for instructions on how to do this.

Click on StarSpikes Pro 3 to select it. StarSpikes Pro 3 will now be highlighted. Click on [ Start selected filter ] to start StarSpikes Pro 3.

The IrfanView Adobe 8BF Filters Dialog

The Plug-In About Dialog

IrfanView does not offer direct access to our About Dialog, as some other editors do. You will need to start StarSpikes Pro 3, then click on the Help And Support button or the Product Icon in the Main Dialog.


Using StarSpikes Pro 3 With An Image Editor Not Listed In This Manual

Using StarSpikes Pro 3 With Other Image Editors

Here are some general guidelines for using StarSpikes Pro 3 with an image editor not listed in this manual.

Your image editor MUST support Adobe® Photoshop® compatible 8BF style filter plug-ins. The documentation for your image editor will, most likely, say whether or not it supports 8BF plug-ins.

To Run The Plug-in

StarSpikes Pro 3 is a "Filter" type of plug-in. Many editors emulate Photoshop's menu structure, so open your image and make it the current window, then look for a Filters or Effects menu followed by our ProDigital Software submenu containing StarSpikes Pro 3.

The documentation for your image editor should provide you more information on how to access "Filter" plug-ins.

For more information see also the Install into Another Editor section.


Getting Started

Just a few examples of the many varations you can create Getting Started

When you start the StarSpikes Pro 3 plug-in, it first analyzes the content of your image to determine where the stars are. It classifies their brightnesses and colors, displays a preview image, then allows you to manipulate settings to control the effects.

The choices you make by changing the settings and using the tools determine the appearance of the effects and which stars they are drawn on. You will see the preview image update immediately upon making any changes. When you've got the effects looking the way you like, press the [ OK ] button to commit your changes back to your image in your editor.

A typical run of StarSpikes Pro 3 goes something like this:

  • Open your astroimage in your editor, e.g., Adobe® Photoshop®.
  • From the editor's menu, start StarSpikes Pro 3.
  • On the StarSpikes Pro 3 Main Dialog, adjust the Quantity control to make effects appear on only the brightest stars.
  • Adjust the Intensity, Length, and other controls to make the image with effects look great in the Preview Viewport.
  • Optionally use the Tools along the left side to fine tune the appearance.
  • Press the [ OK ] button to commit the changes back to your image in your editor.

See the Advanced Usage section for more information on ways to use the plug-in.

Click this icon to get help Getting Help

At any time if you need help press the F1 key for help on the current control or click the Help icon. Look through the Contents, click the links in the topics, or simply Search for help.

If you get stuck or simply want to ask a question, please feel free to contact us at Support@ProDigitalSoftware.com - don't worry, we're here to help!


Advanced Usage

As described in the Getting Started section, StarSpikes Pro 3 can process your image pixels directly, adding its effects to your image. However, here are some suggestions for other ways you can use the plug-in to achieve additional creative control.

Recording and Playing Back Actions

StarSpikes Pro 3 supports the recording and playback of Photoshop Actions. Just run the plug-in as you would any other function during action recording, and all parameters (with the exception of specific edits done with the Hide, Show, and Edit tools) will be recorded and can be played back.

Generate effects on a layer by themselves Layered Effects

Assuming you're using an editor such as Photoshop that provides multi-layered documents, one way to increase the flexibility of what you can do with the results StarSpikes Pro 3 generates is to use the Effects Only feature to generate just the effects alone into a separate layer in your document. To do this:

  • Open your image in Photoshop.
  • Duplicate your image layer as a separate layer above the original, naming it e.g., "Effects".
  • Run the plug-in, get your effects looking the way you like, and check the [ ] Effects Only checkbox.
  • Complete the plug-in by pressing the [ OK ] button.
  • In your editor, set the layer blending mode to something like Screen or Linear Dodge.

After doing this the results from the plug-in will brighten the original image, combining for spectacular looking results. But the key is that you can now manipulate the "Effects" layer separately by using other operations on just that layer, such as Curves, Levels, color operations, or anything else you find gives you the results you desire.

The Photoshop Layers panel showing StarSpikes Pro 3 as a Smart Filter Using the plug-in as a Smart Filter in Photoshop

StarSpikes Pro 3 can also be used as a Photoshop Smart Filter, in which it can be stacked with other filters over your image and run "non-destructively" on your image pixels. To use the plug-in as a Smart Filter:

  • Open your image in Photoshop.
  • In the menus, choose Filter - Convert for Smart Filters.
  • Now run StarSpikes Pro 3 and get the effects looking as you like.
  • Complete the plug-in by pressing the [ OK ] button.
  • You will see an entry in the Photoshop Layers panel indicating StarSpikes Pro 3 is now being applied in your Smart Filters stack, and you will see the effects on the document.
  • At any time you wish to change the parameters to adjust the results, double-click the StarSpikes Pro 3 entry in the Layers panel.

This technique gives you the ability to alter your image without having had the effects applied, and Photoshop will automatically re-apply them (as it does with all filters in a Smart Filter stack). You can also use layer masking to restrict or reduce the brightness of the results.

Note: This technique does NOT support individual effects editing with the Hide, Show, or Edit tools in the plug-in, since the individual edits you make will be lost when the filter is automatically re-applied by Photoshop. Only the settings to the main dialog controls are preserved during use as a Smart Filter.
If you get stuck or simply want to ask a question, please feel free to contact us at Support@ProDigitalSoftware.com - don't worry, we're here to help!


Reference

This section of the manual will provide you with specific information describing the various features of the plug-in.

See the following sections for more information on:

  • Activating the plug-in after purchasing a license.
  • The controls of the Main Dialog.
  • Using the Effects Editor.
  • Configuring the plug-in user interface and update checks.
  • Product Update Messages and Announcements.


Main Dialog

Main Dialog Main Dialog

The Main Dialog is where you do your work in StarSpikes Pro 3. While there are other dialog boxes for things like licensing and configuration, all of the controls you normally need to add effects to your image are right here.

Tools

The Tools, accessible via the icons along the left edge, allow you to adjust how you see the image displayed in the viewport and to fine tune effects. You can use these tools to set the portion of the image that is displayed in the Viewport (pan) and its magnification (zoom) level. The tools also allow you to exercise individual control over the effects that will be applied to the image. See the Tools section for a complete description of these tools and their uses.

Preview Viewport

The Preview Viewport, the left part of the Main Dialog, shows you what your image and effects will look like with the settings you have chosen. See the Preview Viewport section for more detail.

Settings

The settings all along the right side are what you will use to control the effects. Change the settings of the sliders (or enter values in the edit boxes) until your image looks just the way you want in the Preview Viewport, then press the [ OK ] button. See the Settings section for more info on just how to use these settings.

Other Controls

Use the rest of the controls on the Main Dialog to get helpful info, configure your preferences, and to commit the effects back to your image. Scroll this page down to see more info below on how to use these controls.

Main Dialog Controls

StarSpikes Pro 3 version information, help, and online resources StarSpikes Pro 3 Product Icon

The StarSpikes Pro 3 Product Icon is more than just a pretty picture! Clicking on it will take you to the About Dialog, which will show you the version of the product and other handy info.

OK and Cancel Buttons OK and Cancel Buttons

The [ OK ] button is used to commit the effects you have chosen back to your image.

The [ Cancel ] button may be used to quit the StarSpikes Pro 3 plug-in and return to your image editor without making any changes.

Reset Button Reset Button

When you hold down the Alt key, the main dialog's [ Cancel ] button changes to [ Reset ]. The [ Reset ] button, when pressed, will return all the parameters to their Initial Settings.

Click to visit our web site ProDigital Software Logo

Click our logo at any time to visit our home page.

(F10) - Configure plug-in options Configure Button

The [ Configure ] button allows you to set your StarSpikes Pro 3 preferences.

Buy and/or activate this plug-in Buy / Activate This Software Button

The [ Buy / Activate This Software ] button takes you to a screen where you can choose to buy and activate StarFilter Pro 3. Clicking this button does not commit you to buying the software - you'll have a chance to confirm or cancel.

Note: This button only shows during the free trial and is replaced by the [ Help and Support Button ] below after you activate your software.

Links to help and support resources Help and Support Button

The [ Help and Support ] button takes you to a screen that shows you helpful information and links for StarSpikes Pro 3.


Tools

Tools Tools

The tool icons along the left hand side of the Preview Viewport allow you to manipulate the preview image within the viewport.

First click on a tool to activate it, then click on the image to use it.

With these tools, you can change the part of the preview image you see in the viewport, change how magnified the preview appears, disable or enable specific effects in the image, and edit the appearance of individual effects.

Hand Panning Tool Hand Panning Tool

With this tool active, you can click and drag the image around in the viewport to see different parts.

Zoom Tool Zoom Tool

With this tool active, you can zoom in or out on the image in the viewport.

Hide Tool Hide Tool

With this tool active, you can hide effects on specific stars.

Show Tool Show Tool

With this tool active, you can show effects on specific stars.

Edit Effects Tool Edit Effects Tool

With this tool you can edit the appearance of individual effects or add new ones.


Viewport Hand Panning Tool

Hand Panning Tool (H) - use this tool to move the image in the display area, or double click to fit in view Hand Panning Tool

Click the Hand Panning Tool icon or press H to activate.

After activating the Hand Panning Tool, which is one of the Tools, the cursor is changed to a "hand" to indicate you can click and drag in the viewport to move the image around, so that you can see parts that are beyond the edges of the current display.

Click and drag the Hand Panning Tool to move the image around

Note: If the entire image is visible in the Viewport, the Hand Panning Tool will not move it.

Modifier Keys

  • Holding down the Control key will change the cursor to a magnifying glass with a "plus" symbol inside, allowing you to zoom in.
  • Holding down the Alt key will change the cursor to a magnifying glass with a "minus" symbol inside, allowing you to zoom out.
  • You can double-click the Hand Panning Tool icon to cause a "Fit to Window" operation, so that your image will be made to fit entirely within the viewport.
  • Right-click on the image in the viewport to bring up a menu from which you can choose a zoom level.


Zoom Tool

Zoom Tool (Z) - use this tool to zoom the image in or out, double click to go to 100% Zoom Tool

Click the Zoom Tool icon or press Z to activate.

After activating the Zoom tool, which is one of the Tools, the cursor is changed to a magnifying glass with a "plus" symbol inside, which can be used to zoom the image in the viewport. A single click will zoom in one level.

Holding down the Alt key while this tool is active will change the cursor to a magnifying glass with a "minus" symbol inside, allowing you to zoom out one level each time you click on the image.

Click the image to zoom in one step Alt click the image to zoom out one step

Note: The image in the viewport will be centered on the point you clicked if possible.

This cursor can also be used to select an area with which to fill the viewport. To do this, click and drag a rectangle around the part you want to make fit.

Click and drag the Zoom Tool to choose an area with which to fill the viewport

You can double-click the Zoom Tool icon to cause your image to be zoomed to 100% within the viewport.

Right-click on the image in the viewport to bring up a menu from which you can choose a zoom level.

Modifier Keys

  • Holding down the Alt key while this tool is active will change the cursor to a magnifying glass with a "minus" symbol inside, allowing you to zoom out one level each time you click on the image.
  • Holding down the Space Bar changes the cursor to a "hand", allowing you to pan around the image by clicking and dragging.


Hide Tool

Hide Effects Tool (X) - use this tool to turn unwanted effects off, drag to do multiples; hold down the Alt key to reveal previously hidden effects Hide Tool

Click the Hide Tool icon or press X to activate.

StarSpikes Pro 3 makes every effort to put effects on only the stars in your image, but sometimes very bright places in your image that are not stars may be identified as stars and given effects, and you don't want them there.

After activating the Hide Effects Tool, which is one of the Tools, the cursor is changed to an "X crosshair". This can be used to hide spike and flare effects you don't want showing. (e.g., over the center of a galaxy, cluster, or a bright knot in a nebula).

A single click on the very center of a set of spike/flare effects will hide the closest set of effects only.

Click the Hide Tool at the center of a set of effects to hide them The spike and flare effects on the galaxy have been hidden

If you click and drag you can select an entire area in which all effects will be hidden.

Click and drag the Hide Tool to hide effects in a selected rectangular area The spike and flare effects have all been hidden

Modifier Keys

  • Holding down the Alt key while this tool is active reverses the effect, a bit like an undo - causing previously hidden effects to be shown again. This is handy for re-showing any spikes that you may have inadvertently caused to disappear. This works with both click and click and drag.
  • Holding down the Control key changes the cursor to a "magnifying glass", allowing you to zoom in. Adding the Alt key (i.e., so both Control and Alt are pressed together) allows you to zoom out.
  • Holding down the Space Bar changes the cursor to a "hand", allowing you to pan around the image by clicking and dragging.


Show Tool

Show Effects Tool (+) - use this tool to toggle effects on, drag to do multiples; hold down the Alt key to hide them Show Tool

Click the Show Tool icon or press + to activate.

After activating the Show Tool, one of the Tools, the cursor is changed to a "+ crosshair", which can be used to reveal effects on stars that are not showing. This could occur because the stars are dimmer than the threshold level set by the Quantity control, the star analysis wasn't quite sure it was a star, or the effects have been previously hidden.

A single click near the center of a star will reveal a set of effects for that star.

An additional click near stars that do not have effects showing will reveal effects for the brightest one.

Click the Show Tool on a star to reveal the effects One set of effects has been revealed

Effects that have been revealed with this tool will remain visible, and no longer be affected by the brightness threshold adjusted with the Quantity setting.

If you click and drag you can cause effects to be revealed in an entire rectangular area.

Click and drag the Show Tool to reveal effects in a rectanglar area Effects have been revealed for all stars in the selected area

Important: StarSpikes Pro 3 must have identified a bright place in your image as a possible star for this tool to reveal effects on it.

Modifier Keys

  • Holding down the Alt key while this tool is activated reverses its effect, a bit like an undo - hiding spikes previously revealed with this tool. This allows you to remove any spikes that you may have inadvertantly caused to show. This works with both click and click and drag.
  • Holding down the Control key changes the cursor to a "magnifying glass", allowing you to zoom in. Adding the Alt key (i.e., so both Control and Alt are pressed together) allows you to zoom out.
  • Holding down the Space Bar changes the cursor to a "hand", allowing you to pan around the image by clicking and dragging.


Edit Effects Tool

Edit Effects Tool (*) - use this tool to edit the intensity, color, and position of effects; Double-click to add new effects, Alt-click to hide effects Edit Effects Tool

Click the Edit Effects Tool icon or press * to activate.

After activating the Edit Effects Tool, which is one of the Tools to the left of the Preview Viewport, the cursor is changed to a "pencil" to indicate you can click on the image to edit or add effects.

Editing An Existing Set of Effects

If you wish to change the appearance of an existing set of effects, single-click the mouse on the center.

Click on Existing Effects To Edit Them

Adding A New Set of Effects

You can also double-click on the image with the Edit Effects Tool to add a set of effects anywhere, even if no highilght was detected there during the initial highlight analysis.

Double Click in an Open Space To Add Effects

Editing Effects Parameters After Clicking

After the Edit Effects Tool is clicked to edit or add effects, the Main Dialog controls are changed to the Effects Editing controls, which allow you to change the brightness, color, and/or position of the newly added effects.

Effects Editing Settings

Modifier Keys and Alternate Functions

Holding down the Alt key will change the cursor to an X, allowing you to hide a set of effects.

Holding down the Control key will change the cursor to a magnifying glass with a "plus" symbol inside, allowing you to zoom in.

Right-click on the image in the viewport to bring up a menu from which you can choose a zoom level.


Preview Viewport

Preview Viewport Preview Viewport

The left part of the Main Dialog provides the Preview Viewport, which shows you a real-time, interactive preview of the effects when you make changes to the settings.

The Preview Viewport shows you what will be written back to your image if you click [ OK ].

Viewport Controls

The Viewport Controls along the bottom and right side of the viewport allow you to control what is seen in the Viewport including the size and position of the viewed image and the nature of the image viewed.

See the Viewport Controls section for a complete description of these controls and their uses.


Viewport Controls

Viewport Controls Viewport Controls

The Viewport Controls around the Preview Viewport allow you to control what you see in the Viewport.

You can set the zoom and position of the viewed image and whether to see the effects alone, the original image alone, or in combination.

We have crafted these controls to work very much like those in other modern Adobe® Photoshop® plug-ins.

Zoom Buttons Zoom Buttons

Increase or decrease the preview image magnification by one step.

Zoom Control Zoom Control

Displays the current magnification and lets you set a new value.

Context Menu Context Menu

Right click in the Viewport and choose from the list of zoom values presented.

Progress Bar Progress Bar

Indicates an update of the Viewport is in progress. If the progress bar is showing activity, the Viewport has not yet been updated to reflect the latest control changes.

Scroll Bars Scroll Bars

Change what part of the image is showing in the Viewport.

Mouse Wheel Mouse Wheel

A Mouse Wheel, along with modifier keys, can be used to zoom and scroll the image.

Effects Only [ ] Effects Only Checkbox

Generate the effects alone or combined with the original image.

Preview Checkbox [ ] Preview Checkbox

Toggle the effects off and on.


Zoom Buttons

Zoom Out One Step (Control -) or Zoom In One Step (Control +) Zoom Buttons

Click the Zoom Buttons or press Control – or Control + to operate.

The Zoom Buttons can be used to decrease or increase the magnification to the next programmed step. If the current zoom value is between two steps, it will be increased or decreased to the next available step.

Clicking on the [–] button will decrease the magnification to the previous step and clicking on the [+] button will increase the magnification to the next step.

For example, if the current zoom value is 60%, pressing the [+] button will increase the zoom value to 66.67% which is the next step. Pressing the [+] button again will increase the zoom value to 100%.


Zoom Control

Select a Zoom Level (V) Zoom Control

Click the Zoom Control or press V to activate.

The Zoom Control displays the current magnification (zoom level) that is being applied to the image that is being shown in the Viewport. If you click on this control a menu will be presented which will allow you to change the current zoom value.

The menu offers a selection of numeric zoom values for you to choose from plus the following special options:

  • Actual Pixels sets the zoom value to 100%.
  • Fit In View sets the zoom value so that the largest extent of the image just fits inside the viewport.
  • Fit On Screen resizes the window to the largest size that will fit on the screen then sets the zoom value as in Fit In View.

Keyboard Shortcuts

If the Zoom Control menu is displayed, the following keyboard shortcuts can be used to select a menu item:

  • The Up Arrow and Down Arrow keys will move the selection up or down.
  • The number keys will move the selection to a menu item that begins with that number.
  • The letter keys will move the selection to a menu item that begins with that letter.
  • The Return key will cause the menu item that is currently selected to be initiated.

Note that if you enter a number or letter key and that key specifies a unique menu item (e.g. Only one menu item begins with 4), the chosen menu item will be initiated immediately.


Mouse Wheel

Mouse Wheel Mouse Wheel

Turn the Mouse Wheel while optionally holding down modifier keys

The Viewport can be zoomed and scrolled through the use of a Mouse Wheel.

Scroll

Turning the Mouse Wheel with no modifier keys scrolls the image up or down.

  • Holding down the Control key scrolls the image right or left.
  • Adding the Shift key causes the scroll distance to be increased to one screen width or height at a time.

Zoom

Turning the Mouse Wheel while holding down the Alt key zooms the image in or out in 10% steps.

  • Adding the Shift key causes the zoom increment to increase to full steps (e.g., 100%, 200%, etc.)


Context Menu

Viewport Context Menu (right-click in viewport) Context Menu

Right-click the image to activate.

The Context Menu offers a selection of numeric zoom values for you to choose from plus the following special options:

  • Actual Pixels sets the zoom value to 100%.
  • Fit In View sets the zoom value so that the largest extent of the image just fits inside the viewport. Note that with this setting a checkmark appears to indicate the image zoom will be adjusted to always just fit if the plug-in dialog is resized.
  • Fit On Screen resizes the window to the largest size that will fit on the screen then sets the zoom value as in Fit In View.

Keyboard Shortcuts

When the Context Menu is displayed, the following keyboard shortcuts can be used to select a menu item:

  • The Up Arrow and Down Arrow keys will move the selection up or down.
  • The number keys will move the selection to a menu item that begins with that number.
  • The letter keys will move the selection to a menu item that begins with that letter.
  • The Return key will cause the menu item that is currently selected to be initiated.

Note that if you enter a number or letter key and that key specifies a unique menu item (e.g. Only one menu item begins with 4), the chosen menu item will be initiated immediately.


Progress Bar

The Progress Bar is active when calculations are in progress Progress Bar

The Progress Bar is used to indicate that the plug-in is busy processing data prior to displaying it in the Preview Viewport.

At startup

The Progress Bar is active when the plug-in is first started. At this time, the plug-in is analyzing your image to determine the location, brightness, and color of the stars. Before your image can be displayed in the Viewport the Progress Bar can be expected to go across twice as the star location analysis and the preparation of the preview for display are completed.

During normal operation

When the Progress Bar is active, the rendering engine has not yet caught up with your recent settings changes and the Viewport is not displaying a preview with the results of your changes. If you see the Progress Bar active, consider giving the plug-in a moment to catch up with you.

The rendering process and display update is normally virtually instantaneous. However, if you are processing an extremely large or complex image, or if you have set extreme control values, updating the Viewport may take some time. During this period, the Progress Bar will be activated to display an estimate of how much work remains to be done. When the Progress Bar is no longer active, the Viewport will contain the results of your latest changes.


Scroll Bars

Viewport Scroll Bars Scroll Bars

Click and drag a Scroll Bar thumb or press D then the keys listed below to operate.

The Scroll Bars are used to move the part of the image shown within the Viewport, and are available at any time the image preview is larger than the Viewport. You can drag the thumb of either or both Scroll Bars using the mouse to move the image quickly, or click on the other parts of the scroll bar to move it by incremental amounts.

When the Scroll Bars are enabled and the Viewport has the keyboard focus, you can also change the image position using the keyboard. The Viewport can be given the keyboard focus if you click within the image or use either the Tab key or the D keyboard shortcut.

You can tell if the Viewport has the keyboard focus by the border that surrounds the image; the border will be a dotted line if the Viewport has focus or a black line if some other control has it.

Keys used for scrolling

When the Viewport has keyboard focus, the following keys are available to move the image in the viewport:

  • The Up Arrow or Down Arrow will move the image down or up one pixel.
  • The Left Arrow or Right Arrow keys will move the image right or left one pixel.
  • The Home key will show the upper left hand corner of the image.
  • The End key will show the lower right hand corner of the image.
  • The Page Up or Page Down keys will move the image down or up by a distance equal to the height of the Viewport.
  • Holding down the Shift key and pressing the Page Up or Page Down keys will move the image down or up by a distance of 10 pixels.
  • Holding down the Control key and pressing the Page Up or Page Down will move the image right or left by a distance equal to the width of the Viewport.
  • Holding down the Control and Shift keys and pressing the Page Up or Page Down keys will move the image right or left by 10 pixels.


Effects Only

Effects Only (O) - Check to output the effects only, excluding the original image Effects Only Checkbox

Click the checkbox or press O to toggle.

This checkbox allows you to generate the spike and flare effects alone or combined with your image. This can be useful if you have duplicated your image as a new layer and are planning to creatively combine the effects with the image yourself using, for example, the layer mixing features of the image editor.

When this box is checked, the Preview Viewport will show only the effects that will be produced by the current settings, excluding your image.

If you press the [ OK ] button with the [ ] Effects Only box checked, just the effects will be written back to the image in your editor.


Preview Checkbox

Preview (P) - Check to see a preview of the modified image, uncheck to see the original image Preview Checkbox

Click the checkbox or press P to toggle.

The [ ] Preview checkbox is used to select the source of the image that is displayed in the Preview Viewport. It is often useful for "blinking" the effects on and off, to help you visualize the look and feel they will add to your image.

  • If the [ ] Preview checkbox is checked, the Viewport will display the image that will be written back to your editor when you press the [ OK ] button, including any effects that would be rendered given your current control settings.
  • If the [ ] Preview checkbox is NOT checked, the Viewport will display your image with no modifications.
  • If the [ ] Preview checkbox and the [ ] Effects Only checkbox are both checked, the Viewport will display only the effects that would be rendered given your current control settings. Your image will not be included in this case since only the effects will be written back to your editor when you press the [ OK ] button.


Settings

Settings Settings

The Settings controls along the right side of the Main Dialog allow you to set how many stars will receive effects and what the effects will look like.

Most of the controls are Slider Controls. You can slide the control handles with the mouse or change their values directly with the keyboard.

Click on the headings below to read more.

Predefined Settings Controls

Save and reuse whole sets of control values that you have chosen using the controls in the groups below.

Main Diffraction Spikes Group

Control how bright the stars must be to receive effects, set overall effects size, and set the appearance of the primary spikes.

Effects Color Group

Define the coloring of both the primary and secondary spike effects.

Secondary Effects Group

Set the intensity of the secondary spikes, soft flare, and ring flare effects.


Predefined Settings

Settings Predefined Settings

The Predefined Settings controls allow you to manage groups of predefined Settings that can serve as starting points for further adjustment.

Loading predefined settings causes the effects controls to be set all at once to previously stored values. You can load defaults, save and load your own predefined settings, or even import predefined settings created by others.

Creating Predefined Settings explains how to save your own predefined settings.

The Loading Predefined Settings topic provides more detail on how you can load predefined settings.


Creating Predefined Settings

Menu (M) - Save, load, or delete the current settings Creating Predefined Settings

You can create and save a named set of all your current settings using the Save/Load menu. These settings can then be loaded all at once using the Settings Selector.

Once you have chosen Save Settings... as shown here you will be prompted for a name.

See the Save/Load Menu topic for more information on using this control.


Save/Load Menu

Menu (M) - Save, load, or delete the current settings Save/Load Menu

Click the icon or press M to activate.

The Save/Load Menu, to the right of the Settings Selector control, is used to save, load, or delete user defined settings.

When you click on this control, a menu will drop down with three entries: Load Settings, Save Settings and Delete Settings.

The plug-in stores user defined settings in small parameter files located in its Parameters folder. Parameter files located in this folder will appear in the list of available settings in the Settings Selector control.

You can activate the Save/Load Menu from the keyboard by using the M keyboard shortcut. This will cause the drop down menu to appear. When the drop down menu is present, you can use the following keys to select the operation you want to perform:

  • Press the S key to Save Settings
  • Press the L key to Load Settings
  • Press the D key to Delete Settings

Save Settings Menu Selection

Selecting Save Settings from the Save/Load Menu will allow you to save your current settings to a parameter file for later use. You will be presented with a File Save dialog box which will allow you to assign a name to the settings and save them to disk. Once you save your settings, the name you chose will appear as a new entry in the Settings Selector control.

By default, the File Save dialog will start in the folder that the plug-in uses for user defined settings. Save your parameter file in this folder if you want your settings to appear in the Settings Selector control. Of course, you can save a parameter file anywhere you care to; it just won't appear in the Settings Selector control.

Load Settings Menu Selection

Selecting Load Settings from the Save/Load menu will allow you to load a parameter file containing predefined settings. You can use this if you saved a parameter file in a location other than the plug-in's default parameter file folder or to import a parameter file that someone else has sent you.

After loading the settings, you may wish to immediately save a copy of the settings to the plug-in's default folder. The saved settings will then appear in the Settings Selector control and they will remain available whenever you start the plug-in.

Note that as the plug-in evolves, parameters may be added or changed. When opened, a parameter file saved from an older version of this plug-in will be automatically converted to the current format. All parameter files that appear in the Settings Selector will be automatically converted when the plug-in is started.

Delete Settings Menu Selection

Selecting Delete Settings from the Save/Load menu will delete the settings that are currently selected in the Settings Selector control. The settings will be removed from the control and the associated parameter file will be deleted. This is permanent so be sure that you want to delete the selected settings.

The Delete Settings selection will not be available (grayed out) if no settings are selected in the Settings Selector control. Also, you cannot delete the Default Settings.


Loading Predefined Settings

Settings Selector Loading Predefined Settings

Use the Settings Selector control to retrieve predefined settings for all the controls in the various groups. In this way, you can recall combinations of settings that generated effects you particularly liked.

The Settings Selector control contains a list comprised of two special sets we have defined plus the names of all of the predefined settings that you have saved yourself via the Save/Load Menu.

When you click on the Settings Selector, the list will drop down and you can load the desired set by simply clicking on the entry you want to use.

The list will grow longer as you define and save your own sets.

The Effects Only checkbox is also affected when you select a predefined setting.

Default and Initial Settings

There are two special sets in the Predefined Settings selector that always appear: Default Settings and Initial Settings.

Default Settings are nominal values for all controls; effects will be put on only the brighter stars, and some secondary spikes, soft flare, and ring flare are generated. These settings can serve as a convenient starting point for customizations. Note: Double-clicking the thumb of any slider control will return it to its Default Setting.

Initial Settings are the values for all the controls that the plug-in was started with. The Initial Settings are derived from those you used the last time you ran the plug-in to add effects to an image.


Settings Selector control

Settings Selector Settings Selector control

Click the control or press T to activate.

The Settings Selector control is used to load predefined settings. The list includes two special settings and the named settings that you have previously saved using the Save/Load Menu.

The special settings are Default Settings, which will cause the controls to be set to nominal values that are a good starting point for many images, and Initial Settings, which will cause the controls to be set to values that were remembered the last time that you pressed the [ OK ] button.

When you click on this control, the list will drop down and you can select the desired set by simply clicking on the name of the settings that you want to use. If your list of predefined settings is very long, the list will include a scroll bar to help you move through it.

When you select one of the predefined settings using the Settings Selector control, it will set the position of all of the controls in the Main Diffraction Spikes, Effects Color, and Secondary Effects groups. The Effects Only checkbox is also affected when you select predefined settings.

The Settings Selector control will display the name of the predefined settings that are currently selected. If you then change one or more of the controls, the Settings Selector control will become blank to indicate that your current control settings no longer match the settings that were selected.

When the Settings Selector control is activated to have keyboard focus, the control will be highlighted. You can activate the Settings Selector control by clicking on it with the mouse, by navigating to it using the Tab key or by using the T keyboard shortcut.

When the Settings Selector control has the keyboard focus, you can scroll through the available predefined settings using the following keys on your keyboard:

  • Use the Up Arrow and Down Arrow keys to step through the list of settings one item at a time.
  • Use the Page Up and Page Down keys to step through the list several items at a time.
  • Use the Home key to move to the beginning of the list.
  • Use the End key to move to the end of the list.
  • Type the first letter of the name of a predefined setting to move to that setting. If there are several settings that begin with the same letter, you may step through all of them by repeatedly pressing the letter key.

Note that when the Settings Selector control has the keyboard focus, it will intercept most keyboard keys. This will prevent the keyboard shortcut keys from working normally. However, you can change the control that gets the keyboard focus using the Tab key or you can hold down the Alt key and move to any other Settings control by typing its shortcut key.


Slider Controls

Slider Control Layout Slider Controls

A Slider Control is a unique coordinated combination of a conventional Windows slider control and an edit box. It allows you to manipulate your effects using the mouse, the keyboard, or both together.

The Control Name tells you what control it is.

The icons on either end of the Slider Control give you a visual indication of what changing the control will do.

If you drag the thumb of the slider left or right, you are changing the setting and the value shown in the edit box changes to reflect the new setting. Conversely, if you enter a value in the edit box, the thumb of the slider will be moved to the corresponding position.

Double Click

If you double-click the slider thumb, the control will be returned to its default value.

Using the Keyboard

A Slider Control becomes activated and gets keyboard focus when you click on the control, click in the associated edit box, navigate to the control using the Tab key, or use the control's keyboard shortcut. When a particular slider control is activated, its associated edit box will be highlighted or the insertion point cursor will appear inside it.

You can operate on the activated Slider Control using these keys on your keyboard:

  • Change the value of the control using the Up Arrow and Down Arrow keys.
  • Change the value of the control in larger steps by using the Page Up and Page Down keys.
  • You can type values directly into the associated edit box using the number keys.
  • You can edit the value in an edit box using the Left Arrow, Right Arrow, and Delete keys.


Main Diffraction Spikes

Settings Main Diffraction Spikes

The Main Diffraction Spikes control group in the Settings contains Slider Controls with which you set how many stars in your astroimage will receive effects and set the size and appearance of the primary spikes.

The following controls are found in the Main Diffraction Spikes control group:

Quantity (Q) - Set how many stars, ranked by brightness, will be given effects Quantity

Increase or decrease the number of stars that are given effects, based on brightness.

Intensity (I) - Set the brightness of the primary spike effects Intensity

Increase or decrease the brightness at which the primary spike effects are rendered.

Length (L) - Set the length of the spikes and the size of the flare effects Length

Increase or decrease the length of the spikes and the size of the flare effects.

Angle (A) - Set the rotation angle of the spikes Angle

Sets the angle of the spikes. 0 degrees is straight up.

Number of Points (N) - Set the number of primary spikes around a star Number Of Points

Sets the number of primary diffraction spikes that emanate from a star.

Spike Sharpness (S) - Set the fuzziness or sharpness of the spikes Spike Sharpness

Sets the sharpness (width) of the spikes.

Spike Spread (K) - Set how quickly spikes will spread out as the distance increases from the star Spike Spread

Sets the rate at which spikes spread wider as the distance increases from the star.


Quantity Control

Quantity (Q) - Set how many stars, ranked by brightness, will be given effects Quantity Control

Click the control or press Q to activate.

The Quantity control, part of the Main Diffraction Spikes control group, allows you to increase or decrease the number of stars (ranked by brightness) that are given effects. You can put effects on just a very few of the brightest highlights or you can include more, dimmer ones.

Higher Quantity values put effects on more, dimmer stars.

When you change the Quantity control all of the effect brightnesses are ranged, with the stars whose brightnesses are just above the minimum brightness threshold being given effects that barely show.

Note that this control affects all of the effects - primary spikes, secondary spikes, soft flare, and ring flare.


Intensity Control

Intensity (I) - Set the brightness of the primary spike effects Intensity Control

Click the control or press I to activate.

This control allows you to increase or decrease the brightness at which the primary spike effects are rendered.

Higher Intensity values make the primary spikes appear brighter.

When you increase the Intensity, the primary spikes may seem to get longer. This is normal, though a bit of an optical illusion because the higher Intensity setting is simply revealing the dim extents of the spikes that are farther away from the star.

Note that an astroimage will often look more natural if the spikes are kept a bit subtle by being conservative with the Intensity setting.


Length Control

Length (L) - Set the length of the spikes and the size of the flare effects Length Control

Click the control or press L to activate.

The Length control, part of the Main Diffraction Spikes control group, sets the length of the main and secondary spikes, and the size of the soft flare and ring flare effects.

Higher Length values make longer spikes and larger flares.


Angle Control

Angle (A) - Set the rotation angle of the spikes Angle Control

Click the control or press A to activate.

This control sets the angle of the spikes as they emanate from the star. 0 degrees is considered straight up.

Increasing the Angle rotates the effects clockwise around each star.


Number Of Points Control

Number of Points (N) - Set the number of primary spikes around a star Number Of Points Control

Click the control or press N to activate.

This control sets the number of primary diffraction spikes that emanate from the star. Odd numbers, though not possible optically, are provided for extra creative control.

Note that the most common Number Of Points used in astroimages is 4 due to many telescopes having 4 secondary mirror supports, though wide field imagery done with camera lenses often shows many more spikes due to the number of leaves in the lens aperture.


Spike Sharpness Control

Spike Sharpness (S) - Set the fuzziness or sharpness of the spikes Spike Sharpness Control

Click the control or press S to activate.

This control allows you to make the spikes more fuzzy or crisp.

Higher Spike Sharpness values make the spikes appear sharper.

Tip: An astroimage will often look most natural if the spike sharpness is matched to the size of the stars, though in some cases sharper spikes can give an image a feeling of higher resolution.


Spike Spread Control

Spike Spread (K) - Set how quickly spikes will spread out as the distance increases from the star Spike Spread Control

Click the control or press K to activate.

This control allows you to make the spikes diverge as the distance from the star increases.

Higher Spike Spread values make the spikes spread more/faster.

Note that with this control turned all the way down the spikes will stay equally sharp at all distances.


Effects Color

Settings Effects Color

The Effects Color control group in the Settings contains Slider Controls that set the color hue and saturation for the effects to give the best color appearance. You can also adjust the intensity and frequency of the "rainbow" spike coloration.

Click the headings below to read more about the specific controls.

Color Saturation (C) - Set the intensity of the star color used in the effects Color Saturation Control

Sets the amount of star color that will be rendered in the effects.

Color Hue (U) - Change the color tint of the spikes Color Hue Control

Adjusts the color hue or "tint" of the rendered effects from more purplish to more greenish.

Rainbow Intensity (R) - Set the intensity of the multicolored 'rainbow' pattern in the spikes Rainbow Intensity Control

Sets how colorful the multicolored "rainbow" pattern will be in the primary and secondary spikes.

Rainbow Frequency (F) - Set how quickly the multicolored 'rainbow' pattern changes color in the spikes Rainbow Frequency Control

Sets how quickly the multicolored "rainbow" pattern repeats in the primary and secondary spikes.


Color Saturation Control

Color Saturation (C) - Move right to increase the intensity of the star color in the effects Color Saturation Control

Click the control or press C to activate.

This control sets the amount of star color that will be rendered into the effects. It affects spikes, secondary spikes, soft flare, and ring flare.

Higher Color Saturation values produce more color.

Note that if this control is turned all the way down the effects will be grayscale.


Color Hue Control

Color Hue (U) - Move left to make the color more purplish, right to make it more greenish Color Hue Control

Click the control or press U to activate.

This control changes the hue or "tint" of the star color used in rendering the effects. It affects spikes, secondary spikes, soft flare, and ring flare.

Higher Color Hue values make effects more greenish.


Rainbow Intensity Control

Rainbow Intensity (R) - Move right to increase the brightness of the multicolored 'rainbow' pattern in the spikes Rainbow Intensity Control

Click the control or press R to activate.

This control sets the saturation of the color in the multicolored repeating "rainbow" pattern in the primary and secondary spikes. This is mixed with the color of the star.

Higher Rainbow Intensity values produce a stronger rainbow effect.

Note that with this control turned all the way down only the star color will remain in the spikes.


Rainbow Frequency Control

Rainbow Frequency (F) - Move right to make the multicolored 'rainbow' pattern change color more rapidly in the spikes Rainbow Frequency Control

Click the control or press F to activate.

This control sets the rate at which the multicolored "rainbow" pattern repeats. Optically, higher focal length systems generally produce a more gradually repeating pattern, and you can use this control to closely match optical results.

Higher Rainbow Frequency values make the colors repeat more rapidly.


Secondary Effects

Settings Secondary Effects

The Secondary Effects control group in the Settings contains Slider Controls that adjust the intensity of the secondary spikes, the soft flare, and the ring flare effects.

Click the headings below to read more about the specific controls.

Secondary Spike Intensity (E) - Set the brightness of secondary central 'mini-spikes' around a star Secondary Spike Intensity Control

Sets the intensity of the additional faint and slightly fuzzy pseudo-random spikes that can accompany the main spikes.

Soft Flare Intensity (Y) - Set the brightness of the soft flare around stars Soft Flare Intensity Control

Sets the intensity of the soft glow around a star.

Ring Flare Intensity (G) - Set the brightness of the ring flare around stars Ring Flare Intensity Control

Sets the intensity of the ring flare around a star.


Secondary Spike Intensity Control

Secondary Spike Intensity (E) - Move right to increase the brightness of secondary central 'mini-spikes' around a star Secondary Spike Intensity Control

Click the control or press E to activate.

This control sets the intensity of the additional faint and fuzzy pseudo-random spikes that accompany the main spikes. To some extent these secondary spikes can seem to be a glow, especially very near a star.

Higher Secondary Spike Intensity values yield stronger secondary spikes.

Note that because of the large number of secondary spikes, they can make the star seem larger and more colorful.


Soft Flare Intensity Control

Soft Flare Intensity (Y) - Move right to increase the brightness of the soft flare around stars Soft Flare Intensity Control

Click the control or press Y to activate.

This control sets the intensity of the soft glow around a star. It can provide a cleaner, smoother overall appearance than the Secondary Spikes.

Higher Soft Flare Intensity values yield brighter soft flare.


Ring Flare Intensity Control

Ring Flare Intensity (G) - Move right to increase the brightness of the ring flare around stars Ring Flare Intensity Control

Click the control or press G to activate.

This control sets the intensity of the ring flare around a star.

Higher Ring Flare Intensity values result in brighter rings.


Product Banner Icon

StarSpikes Pro 3 version information, help, and online resources StarFilter Pro 3 Product Banner Icon

Click on the StarSpikes Pro 3 icon pictured here to see the About Dialog. The About Dialog will give you information about the product that is currently installed and, if you need help, contact information for ProDigital Software.


Buy / Activate This Software Button

Buy and/or activate this plug-in Buy / Activate This Software Button

The [ Buy / Activate This Software ] button will be present if you have not purchased and activated StarSpikes Pro 3 and are running the plug-in in the free trial period. Clicking on this button will take you to the Software Purchase Activation Dialog where you can buy this plug-in.

After you have purchased StarSpikes Pro 3, the [ Buy / Activate This Software ] button is not seen; the [ Help And Support ] button will be visible in its place.


Help And Support Button

Click for links to help and support resources Help And Support Button

The [ Help And Support ] button becomes available after you have purchased and activated StarSpikes Pro 3. Clicking on this button will take you to the About Dialog.

Before you have purchased StarSpikes Pro 3, the [ Help And Support ] button is replaced by the [ Buy / Activate This Software ] button.


Configure Button

(F10) - Configure plug-in options Configure Button

Clicking this button will take you to the StarSpikes Pro 3 Configuration Dialog where you can adjust various plug-in options.


Effects Editing

Effects Editing Settings Effects Editing

If you use the Edit Effects Tool on an existing highlight or to add a new one, this set of controls will replace the main dialog controls and allow you to change the brightness, color, and position of individual sets of effects.

Use these controls to refine the appearance of individual highlights in your image to achieve artistic perfection.

The following controls are found in the Edit Individual Effect group:

Brightness (B) - Set the brightness of the effects you are editing. Brightness

Increase or decrease the brightness of the effects being edited.

Cyan / Red Color Adjustment (C) - Set the proportion of Red in the color of the effects you are editing Cyan / Red

Alter the color of the effects being edited to make them more or less red.

Note: The color controls do not appear when editing a grayscale image.

Magenta / Green Color Adjustment (M) - Set the proportion of Green in the color of the effects you are editing Magenta / Green

Alter the color of the effects being edited to make them more or less green.

Yellow / Blue Color Adjustment (Y) - Set the proportion of Blue in the color of the effects you are editing Yellow / Blue

Alter the color of the effects being edited to make them more or less blue.

Horizontal Position (L) - Move the effects you are editing to the Left or Right Move Left / Right

Moves the effects being edited up to 25 pixels horizontally in either direction.

Vertical Position (U) - Move the effects you are editing Up or Down Move Up / Down

Moves the effects being edited up to 25 pixels vertically in either direction.

Accept Edit and Cancel Edit buttons Accept Edit and Cancel Edit Buttons

The [ Accept Edit ] button is used to commit the edit(s) you have made to individual effects.

The [ Cancel Edit ] button may be used to abandon the edit(s) you have made to one or more effects while in the Effects Editor.

Either of these buttons will return you to the Main Dialog and its controls.


Effects Editor Brightness Control

Brightness (B) - Set the brightness of the effects you are editing. Effects Editor Brightness Control

Click the control or press B to activate.

The Brightness control, one of the Effects Editing controls, allows you to increase or decrease the brightness of the individual set of effects that you are editing. The changes will be shown in real time in the Preview Viewport.

Higher Brightness levels will cause the specific set of effects under edit to be more prominent in the image.

Note that this control affects all of the effects - primary spikes, secondary spikes, and soft flare.


Effects Editor Cyan / Red Control

Cyan / Red Color Adjustment (C) - Set the proportion of Red in the color of the effects you are editing Effects Editor Cyan / Red Control

Click the control or press C to activate.

The Cyan / Red control, one of the Effects Editing controls, allows you to change the tint of the effects you are editing to be more or less red in color. The changes will be shown in real time in the Preview Viewport.

Move the control to the right (toward the red icon) to make the effects more reddish-colored, or to the left (toward the turquoise icon) to reduce red.

Note that this control affects all of the effects under edit simultaneously - primary spikes, secondary spikes, and soft flare.

This control does not appear when editing a grayscale image.


Effects Editor Magenta / Green Control

Magenta / Green Color Adjustment (M) - Set the proportion of Green in the color of the effects you are editing Effects Editor Magenta / Green Control

Click the control or press M to activate.

The Magenta / Green control, one of the Effects Editing controls, allows you to change the tint of the effects you are editing to be more or less green in color. The changes will be shown in real time in the Preview Viewport.

Move the control to the right (toward the green icon) to make the effects more greenish-colored, or to the left (toward the purple icon) to reduce green.

Note that this control affects all of the effects under edit simultaneously - primary spikes, secondary spikes, and soft flare.

This control does not appear when editing a grayscale image.


Effects Editor Yellow / Blue Control

Yellow / Blue Color Adjustment (Y) - Set the proportion of Blue in the color of the effects you are editing Effects Editor Yellow / Blue Control

Click the control or press Y to activate.

The Yellow / Blue control, one of the Effects Editing controls, allows you to change the tint of the effects you are editing to be more or less blue in color. The changes will be shown in real time in the Preview Viewport.

Move the control to the right (toward the blue icon) to make the effects more bluish-colored, or to the left (toward the yellow icon) to reduce blue.

Note that this control affects all of the effects under edit simultaneously - primary spikes, secondary spikes, and soft flare.

This control does not appear when editing a grayscale image.


Effects Editor Move Left / Right Control

Horizontal Position (L) - Move the effects you are editing to the Left or Right Effects Editor Move Left / Right Control

Click the control or press L to activate.

The Left / Right control, one of the Effects Editing controls, allows you to do a fine horizontal adjustment of the position of the effects you are editing. The changes will be shown in real time in the Preview Viewport.

Move the control to the right (toward the right arrow) to move the effects to the right as little as one quarter pixel to as much as 25 pixels. Move the control to the left (toward the left arrow) to adjust the position in the opposite direction.

Note that this control affects all of the effects under edit simultaneously - primary spikes, secondary spikes, and soft flare.


Effects Editor Move Up / Down Control

Vertical Position (U) - Move the effects you are editing Up or Down Effects Editor Move Up / Down Control

Click the control or press U to activate.

The Up / Down control, one of the Effects Editing controls, allows you to do a fine vertical adjustment of the position of the effects you are editing. The changes will be shown in real time in the Preview Viewport.

Move the control to the right (toward the down arrow) to move the effects downward as little as one quarter pixel to as much as 25 pixels. Move the control to the left (toward the up arrow) to adjust the position in the opposite direction.

Note that this control affects all of the effects under edit simultaneously - primary spikes, secondary spikes, and soft flare.


Effects Editor Accept Edit and Cancel Edit Buttons

Accept Edit and Cancel Edit buttons Effects Editor Accept Edit and Cancel Edit Buttons

To invoke the Accept Edit button click the button or press Enter.
To invoke the Cancel Edit button click the button or press Escape.

While editing a set of effects, to commit the edits and return to the main dialog controls, press the [ Accept Edit ] button. This will keep your changes.

If you wish to discard all edits you've done while in Effects Editing mode, press the [ Cancel Edit ] button.


About Dialog

The plug-in's About Dialog About Dialog

The About Dialog (sometimes called an "About box") displays information concerning your product such as the product name and version number. It provides some URLs that may be useful if you need support or further information about the product. You can also read the instruction manual for help in installing and using StarSpikes Pro 3.

Accessing the About Dialog

You can access the About Dialog from the main dialog by clicking the [ Help and Support Button ] or the Product Icon.

You may also be able to access the About Dialog from your image editor, even when the plug-in is not running, for example by selecting Help - About Plug-in - StarSpikes Pro 3 in the Adobe® Photoshop® or Adobe® Photoshop® Elements menus. Not all image editors support this.

Read The Manual

The [ Click Here to Read The StarSpikes Pro 3 Instruction Manual ] button will display our extensive instruction manual which includes some helpful hints on how to achieve stellar results.

Online Resources

This portion of the About Dialog includes some useful online resources for StarSpikes Pro 3.

  • StarSpikes Pro 3 Web Site takes you to our online web pages for StarSpikes Pro 3, where you can learn more about the product, and find additional support resources.
  • Your Account takes you to the login page for our Customer Service Portal where you can access your ProDigital Software Account.
  • E-Mail for support will launch your mail program and format an eMail message to our support staff. All you have to do is type in a description of your problem.

OpenGL Version

To aid in troubleshooting and determining the best settings to use in the Configuration Dialog, the plug-in queries your system and reports the version of OpenGL that is available and which it is using.

[ Configure Options ] Button

The [ Configure Options ] button will take you to the Configuration Dialog where you can set various product options.

The History of Our About Dialog

As you may have noticed, the About Dialog contains a short, concise paragraph describing what the plug-in is and what it does. When development of this plug-in first began, Management asked Engineering for something like that in the About Dialog. Engineering came through.

Of course, it did get revised a little before the first version of StarSpikes Pro was released. Here was Engineering's original version:

"StarSpikes is a Photoshop plug-in, cleverly designed to make all of the stars in your picture have little pointy things sticking out all over them. Sort of like a Cockleburr."


Configuration Dialog

Configuration Dialog Configuration Dialog

The Configuration Dialog allows you to control some aspects of StarSpikes Pro 3 behavior for best operation in your environment. We've done our best to make everything automatic so you may never have to change these options, but they are there if you need them.

If you cannot run the plug-in, note that the Configuration dialog is also accessible from the Windows Start Menu/Screen.

Check Online For Product Updates

The [ ] Check Online For Product Updates checkbox, when checked, will cause the plug-in to inform you if a newer version of this product is available online. The associated edit box specifies how often the plug-in will check for updates.

We recommend that you leave this option enabled so that you'll know about the latest and best software as soon as we release it. Note that this option will not cause any software to be downloaded or installed automatically. The choice to install the new software will be entirely yours.

[ Advanced Networking Options ] Button

This button will take you to the Advanced Networking Options dialog where you can specify a proxy server to be used by the plug-in for Internet access.

This option is intended for some special cases usually found in a large business network. It is unlikely that you will ever need to access this dialog but, if you do, read the instructions carefully before changing any settings.

Optimize OpenGL Drawing

The Optimize OpenGL Drawing options allow you to customize the way that we use OpenGL when displaying your image and the effects in the Viewport. See the OpenGL Drawing Options section of this manual for a detailed discussion of these selections.

The default setting should provide the best balance of quality and performance on your PC. However, you may find it necessary to select one of the other settings if you are seeing poor performance or are running an older version of Windows.

Choose User Interface Colors

The buttons in the User Interface Theme Options allow you to select the colors that will be used in the user interface of the Main Dialog. The four selections on the left allow you to choose e.g., a dark theme that overrides the standard system theme, while the rightmost button instructs the plug-in to use the colors your Windows desktop theme defines.

Note that the user interface theme color will be set in the Main Dialog after pressing the [ OK ] button, and will remain at that setting until reconfigured.


OpenGL Drawing Options

OpenGL Optimization Options OpenGL Drawing Options

StarSpikes Pro 3 uses OpenGL to display its preview image in the Viewport. This provides both high performance and excellent display quality in most cases. However, OpenGL compatibility issues may occur on some systems.

Every graphics card manufacturer we know of provides drivers that implement modern versions of OpenGL and deliver great performance. But each one is a little different and bugs are not unknown. We have done our best to be compatible with every OpenGL implementation but compatibility problems are possible, particularly with older graphics cards. That is why we have provided these option selections.

If you are having problems, we recommend that you first visit the web site of the maker of your graphics card and download and install the latest driver software available.

It is also a good idea to make sure that your Windows system software is up to date. After that, see if one of the alternative selections below will correct the problem.

The following option settings only affect the operation of the Viewport. The image we write back to your image editor is always of the highest quality.

If you cannot run the plug-in, note that the Configuration dialog is accessible from the Windows Start Menu/Screen.

Software Rendering

When Software Rendering is selected, the plug-in uses the software OpenGL 1.1 subsystem provided by Microsoft with every copy of Windows.

Some background: Microsoft has provided a software implementation of OpenGL 1.1 since Windows 2000 or earlier. They have never upgraded it, even though the current standard for OpenGL is now at 4.4 or higher. But it does mean that every modern Windows system will consistently run OpenGL 1.1 applications, and because of that we have made sure StarSpikes Pro 3 will run using OpenGL 1.1, although at reduced speed.

This option does not use your video card's GPU to accelerate the display, so it will tend to be slower than the options below. We provide it, primarily, for you to use as a troubleshooting aid. If this option works when none of the others will, the problem is most likely caused by your video card or its driver software.

It should not ordinarily be necessary for you to use this option when processing your images. If this is the only option that will work on your computer, please contact us at Support@ProDigitalSoftware.com. We will work with you to try to determine the source of the problem.

Greater Compatability

When this option or one of those below is selected, GPU acceleration is enabled, but we use a subset of the available OpenGL features, avoiding newer functions that may be less compatible.

Choose Greater Compatability if you experience crashes or your displayed image is flawed when using one of the options below.

Faster Display

When this option is selected, we use a smaller bit depth internally when rendering the image in the Viewport. The display may not look quite as good as with the Higher Display Quality option below.

Choose Faster Display if the plug-in is working correctly but seems unacceptably slow.

Higher Display Quality

When this option is selected, the plug-in makes maximum use of the OpenGL features available on your system to give you the best possible display quality, while still delivering fast screen updates.

This is the default option selection on most systems.

If you have problems you cannot solve, we are always ready to help. We encourage you to contact us via eMail at Support@ProDigitalSoftware.com if you believe you have found a bug in our product or even if you just have a question. We will do our best to get you an answer quickly.


Advanced Networking Options

Proxy Server Settings Advanced Networking Options

The Advanced Networking Options dialog allows you to specify whether StarSpikes Pro 3 will use a Proxy Server to access the Internet. You may also designate the specific Proxy Server that is to be used. This option is disabled by default.

Proxy Servers are usually found in large business networks where they serve as gateways from the internal business network to the Internet. They help control the flow of traffic, restrict access to the Internet, and generally improve the security of the business network.

Windows provides support for Proxy Servers which may be configured using the Internet Options control panel. When Windows is configured to use Proxy Servers, it will automatically route messages to the appropriate server based on the protocols being used. This behavior is satisfactory in almost all cases.

In a few cases, it may be desirable for the plug-in to use a different Proxy Server than the one selected by Windows. If this is necessary, the Advanced Networking Options dialog can be used to make this assignment. See the Proxy Server Options section of this manual for a detailed description of the configuration options.

Be aware that incorrectly configuring the plug-in's Proxy Server settings will prevent the plug-in from using the Internet to activate your license or to check for software updates. Note that a Proxy Server is almost never present in a Home or Small Business network.


Proxy Server Options

Proxy Server Selections Proxy Server Options

These options allow you to override the usual Windows routing of the plug-in's communication with the Internet. You should be thoroughly familiar with your network requirements before doing so. The Windows default behavior will be correct in most cases, and you should not generally have to change the default settings here.

Be aware that incorrectly configuring the plug-in's Proxy Server settings will prevent the plug-in from using the Internet to activate your license or to check for software updates. Note that a Proxy Server is almost never present in a Home or Small Business network.

[ ] Use a Proxy Server checkbox

If the [ ] Use a Proxy Server checkbox is checked, the plug-in will use its own Proxy Server configuration to reach the Internet based on the settings that you provide. If this checkbox is NOT checked, the plug-in relies on Windows to route its communication with the Internet correctly.

You should NEVER check the [ ] Use a Proxy Server checkbox if your network does not use a Proxy Server to manage Internet access.

Select Address Type

These radio buttons allow you to specify the Proxy Server using one of the following three different methods:

  • Automatic tells the plug-in to make its own selection from a list of available Proxy Servers.
  • Proxy Server Name tells the plug-in to use the named Proxy Server.
  • Proxy Server IP Address tells the plug-in to use the Proxy Server whose Internet Protocol address is specified.

Automatic

The plug-in will scan the list of Proxy Servers that are known to Windows on this computer. It will choose the one that both provides Internet access and seems most appropriate for the protocols used by the plug-in.

Proxy Server Name

The plug-in will route all of its network communications to the Proxy Server whose name is specified. You must also specify the port to which the communications are to be routed.

The name specified must be the Proxy Server's network name in the domain such that DNS can resolve the name to an actual Internet Protocol address.

Proxy Server IP Address

The plug-in will route all of its network communications to the Proxy Server whose Internet Protocol address is specified. Currently, the plug-in only supports IPV4 addresses. You must also specify the port to which the communications are to be routed.

Proxy Server Port Number

If you select either the Proxy Server Name or the Proxy Server IP Address option, you must specify the port number to which the plug-in should route its communications. By default, this will be port 80 but ensure that the port selection is correct for your particular network.


Software Purchase Activation

Software Purchase Activation dialog Software Purchase Activation

The Software Purchase Activation dialog is the place to buy your very own copy of StarSpikes Pro 3 online and, once you have purchased a license, the place to activate the software.

Your license for StarSpikes Pro 3 entitles you to install this software on up to three (3) computers. You, the purchaser, can use the plug-in on any of these computers. The license does NOT allow you and your friends or colleagues to all use the plug-in. Please see our EULA during installation for more detail.

Ordering Instructions

Note: You MUST have an "8BF" style plug-in-compatible editor (such as Adobe® Photoshop®, Adobe® Photoshop® Elements, Corel® PaintShop™ Pro and PHOTO-PAINT™, Corel® PhotoImpact®. Computerinsel PhotoLine editor (version 7.55 and later), Paint.NET, IrfanView, and many others) to use this software. Please see the System Requirements section to confirm that our plug-in is compatible with your image editor.

StarSpikes Pro 3 has a "try before you buy" feature. You can download and install a fully functional version of this software and try it for free for 15 days. We suggest you download and run it before buying and see for yourself what amazing effects you can create.

If you have not already done so, you can click here to download and install StarSpikes Pro 3 from our web site.

Even though our software is checked for viruses and malware and is authenticated with a certificate, occasionally a firewall or security program will prevent you from installing it directly from the web. If this occurs, you can click here to download a zip file containing the StarSpikes Pro 3 installer. After it has been downloaded, expand the zip file and double-click on our installer ("StarSpikes_Plugin_PC_Installer.exe") to install the plug-in.

The [ Buy Now ] button

Click on the Buy Now button in the Software Purchase Activation dialog to go directly to our Shopping Cart where you may purchase a license for StarSpikes Pro 3.

StarSpikes Pro 3 Activation

Immediately upon completing a purchase of a StarSpikes Pro 3 license, you will be sent a License ID. To continue to use the plug-in, using this License ID you must activate the plug-in on each computer on which you have installed it. You can use the Online Purchase Activation portion of the Software Purchase Activation dialog to do this. Follow the on-screen instructions.

It is best to use the Online Purchase Activation process, as this prepares the plug-in to be able to automatically check for new releases.

However, if the computer on which you installed StarSpikes Pro 3 does not have access to the Internet, it is possible to activate StarSpikes Pro 3 using the Offline Activation portion of the Software Purchase Activation dialog. Note that activation using this method is performed using eMail and is handled manually by Support. While we will respond as quickly as possible, there may be some delay before your activation code can be returned to you.

Your ProDigital Software Customer Account

The first time that you purchase a product using the ProDigital Software Shopping Cart and checkout server, a Customer Account will be created for you on our Shopping Cart checkout server. You can use this account to access information about your purchases.


Purchase StarSpikes Pro 3

[ Buy Now ] button - pressing this makes us happy Purchase StarSpikes Pro 3

The Software Purchase Activation Dialog is the place to buy your very own copy of StarSpikes Pro 3. Simply click on the [ Buy / Activate This Software ] button in the Main Dialog.

The [ Buy Now ] button

Note: You MUST have an "8BF" style plug-in-compatible editor (such as Adobe® Photoshop®, Adobe® Photoshop® Elements, Corel® PaintShop™ Pro and PHOTO-PAINT™, Corel® PhotoImpact®. Computerinsel PhotoLine editor (version 7.55 and later), Paint.NET, IrfanView, and many others) to use this software. Please see the System Requirements section to confirm that our plug-in is compatible with your image editor.

In the Software Purchase Activation Dialog, click on the [ Buy Now ] button to go directly to our Shopping Cart where you may purchase a license for StarSpikes Pro 3.

Purchasing this software online using our Shopping Cart and checkout server will require a major credit card or a PayPal account. Please have your credit card or PayPal information handy.

After your purchase, our server will display an invoice which will include the License ID and Password that you can use to activate the software. You will also receive an eMail containing a copy of this invoice including the License ID and password information. Please save a copy of this invoice in case you ever need to re-install the plug-in or to activate the plug-in on another computer.

If you have any problems with the automated checkout, please let us know via eMail at Sales@ProDigitalSoftware.com and we'll help work things out.

After you have purchased the software, the next step is to activate it using either the Online Purchase Activation or Offline Activation portions of the Software Purchase Activation Dialog.


Online Purchase Activation

Online Purchase Activation section of the Software Purchase Activation dialog Online Purchase Activation

After installing StarSpikes Pro 3, you must activate the software on each computer on which you have installed it. You can use the Online Purchase Activation portion of the Software Purchase Activation dialog to do this.

Online activation uses our activation server to verify your license. This is the fastest and easiest method for activating your copy of StarSpikes Pro 3.

To Activate the Plug-in Online

  • Go to the Software Purchase Activation Dialog by clicking on the [ Buy / Activate This Software ] button in the Main Dialog.
  • Enter the License ID that you were given when you purchased StarSpikes Pro 3 and your Password. This information will also be found in the eMail that you received from our Shopping Cart checkout server after you made your purchase.
  • Click on the [ Activate Using Info Above ] button.

[ Advanced Networking Options ] button

Clicking on the [ Advanced Networking Options ] button will present the Advanced Networking Options dialog which will allow you to specify a server to be used by StarSpikes Pro 3 for Internet Access.

The Proxy Server configuration option is only necessary in very rare circumstances, usually in a large business network. We recommend that you leave this option set to its default settings unless you are sure you need to change it. See the help section for Advanced Networking Options for a detailed explanation of this option.


Offline or eMail Activation

Offline or eMail Activation section of the Software Purchase Activation dialog Offline or eMail Activation

After installing StarSpikes Pro 3, you must activate the software on each computer on which you have installed it. If the computer on which you installed the plug-in cannot access the Internet, you can use the Offline or eMail Activation portion of the Software Purchase Activation dialog to do this.

Note that activation using this method is performed using eMail and is handled manually by ProDigital Software Support. While we will respond as quickly as possible, there may be some delay before your activation codes can be returned to you.

To Activate the Plug-in Offline

  • Go to the Software Purchase Activation dialog by clicking on the [ Buy / Activate This Software ] button in the Main Dialog.
  • Use the "Click to eMail" link or jot down the User Code and Computer Code shown in the Offline or eMail Activation section. You will need to send these codes, along with the License ID you were given when you purchased the software, to Support@ProDigitalSoftware.com.
  • Support will respond to your request with an eMail that will contain Key Codes for you to enter.
  • Enter the Key Code(s) provided by ProDigital Software into the Activation Key and Optional Key fields.
  • Click on the [ Activate Using Info Above ] button.

The User Code and Computer Code MUST come from the specific plug-in that you are attempting to activate on its particular computer. They are different for each plug-in and for each computer. Codes for a plug-in or computer other than the one you are trying to activate will not work.

Click To eMail Support link

You may click this link to prepare an eMail including the pertinent information with which to contact us.

Note: ProDigital Software Engineering felt it may be somewhat silly for us to provide you with this feature, since they're confident that their Online Purchase Activation process will always work perfectly on a computer that's connected to the internet. But between toga parties, golf games, and checking our portfolios at the investment company, Management thought about this for about a second and a half and came to the conclusion that we should make activating this software as convenient as possible for you, our beloved customer. Since Management signs the paychecks the link is here to stay.


ProDigital Software Account

Your ProDigital Software Account

The first time that you purchase a product using the ProDigital Software Shopping Cart checkout server, an online account will be created for you. You can use this account to access information concerning products you have purchased from our company. For example, if you forget your License ID for one of our products, you can recover it using your online account. You can also retrieve download links.

Click here to log on to your ProDigital Software customer account.


Product Update Dialog

Product Update Dialog Product Update Dialog

The Product Update Dialog will be presented when a StarSpikes Pro 3 check for update determines that a new version of the plug-in has become available for download. The dialog includes a message window which will show you the reason ProDigital Software has released the update.

Product Version Information

The Product Update Dialog will display the current version of your installed software, the version of the new update, and the date that the new version of the plug-in was released.

[ Configure Options ] Button

Click on the [ Configure Options ] button to view the Configuration Dialog where you may change the settings for update checks.

Message Window

When a new version of the plug-in is detected, this window will normally contain the reason for the update such as improved functionality or the list of issues resolved.

Click Here For More Information About This Release Link

You may click on the Click Here For More Information About This Release link to bring up a web page that will provide further information about the new plug-in version. This link will only be present if there is such a web page.

[ Install This New Version of StarSpikes Pro 3 ] Button

Click on the [ Install This New Version of StarSpikes Pro 3 ] button to cause an installer for the new version to be downloaded and run. The plug-in will exit once the new installer has been started. You should close your image editor prior to installing the new plug-in version.

[ Don't Install Now But Remind Me Later ] Button

You may press the [ Don't Install Now But Remind Me Later ] button if you don't wish to install the new version at this time. You will be reminded of this update the next time the plug-in checks for software updates.

[ I Want To Skip This Version ] Button

You may press the [ I Want To Skip This Version ] button if you don't want to install this new plug-in version. You will not receive any further update notifications for this version. You will, however, be notified if a newer version becomes available.


Announcement Dialog

Important Announcement Dialog Announcement Dialog

The Announcement Dialog is used by ProDigital Software to send you important information. For example, it might be used to advise you of a serious bug or a workaround for a problem that you can use until we release a new version to correct it.

Product Version Information

The Product Update Dialog will display the current version of your installed software.

Message Window

The Message Window will contain important information that we think you should have in a timely manner.

Click Here For More Information Link

You may click on the Click Here For More Information link to bring up a web page that will provide further information. This link will only be present if there is such a web page.

[ Configure Options ] Button

Click on the [ Configure Options ] button to view the Configuration Dialog where you may change the settings for update checks.

[ ] Don't Show Me This Message Again Checkbox

Check the [ ] Don't Show Me This Message Again checkbox if you don't want to be reminded of this particular message again. It will NOT prevent the display of other messages that may be sent in the future. This checkbox is always checked by default when the Announcement Dialog appears so you can just press [ OK ] and you won't see this message again.


Keyboard Shortcuts

StarSpikes Pro 3 has a rich set of keyboard shortcuts that will allow you to use the keyboard to do almost everything that you can do with the mouse, only more quickly.

To see the keyboard shortcuts click on one of the following:

  • Settings Keyboard Shortcuts
  • Tools Keyboard Shortcuts
  • Control Keyboard Shortcuts
  • Viewport Keyboard Shortcuts


Keyboard Settings

Keyboard Shortcuts For Settings

The following keyboard shortcuts will activate settings controls:

Settings Selector | T
Save/Load Menu | M
Quantity | Q
Intensity | I
Length | L
Angle | A
Number Of Points | N
Spike Sharpness | S
Spike Spread | K
Color Saturation | C
Color Hue | U
Rainbow Intensity | R
Rainbow Frequency | F
Secondary Spike Intensity | E
Soft Flare Intensity | Y
Ring Flare Intensity | G

Settings Selector

When activated, the Settings Selector accepts the following keyboard actions:

  • Use the Up Arrow and Down Arrow keys to step through the list of settings one item at a time.
  • Use the Page Up and Page Down keys to step through the list several items at a time.
  • Use the Home key to move to the beginning of the list.
  • Use the End key to move to the end of the list.
  • Type the first letter of the name of a predefined setting to move to that setting. If there are several settings that begin with the same letter, you may step through all of them by repeatedly pressing the letter key.

Save/Load Menu

When activated (the drop down menu is present), the Save/Load Menu accepts the following keyboard actions:

  • Press the S key to Save Settings
  • Press the L key to Load Settings
  • Press the D key to Delete Settings

Slider Control

When activated, each Slider Control accepts the following keyboard actions:

  • You can change the value of the control using the Up Arrow and Down Arrow keys.
  • You can change the value of the control in larger steps by using the Page Up and Page Down keys.
  • You can type values directly into the associated edit box using the number keys.
  • You can edit the value in the associated edit box using the Left Arrow, Right Arrow, and Delete keys.


Keyboard Tools

Keyboard Shortcuts For Tools

The following keyboard shortcuts will select a tool:

Hand Panning Tool | H
Zoom Tool | Z
Hide Tool | X
Show Tool | +
Edit Tool | *

Modifier Keys Affecting All Tools

No matter what tool is active, the following modifier keys cause a temporary switch to a different mode of operation, which ceases when the modifier key(s) are released.

  • Holding down the Control key changes the cursor to a "magnifying glass", allowing you to zoom in. Adding the Alt key (i.e., so both Control and Alt are pressed together) allows you to zoom out.
  • Holding down the Space Bar changes the cursor to a "hand", allowing you to pan around the image by clicking and dragging.

Hand Panning Tool Specific Modifier Keys

When the Hand Panning Tool is active, the following keys will modify its behavior:

  • Holding down the Alt key will change the cursor to a "magnifying glass", allowing you to zoom out one level each time you click within the image.
  • Holding down the Control key will change the cursor to a "magnifying glass", allowing you to zoom in one level each time you click within the image.

Zoom Tool Specific Modifier Keys

When the Zoom Tool is active, the following keys will modify its behavior:

  • Holding down the Alt key will change the cursor to a "magnifying glass", allowing you to zoom out one level each time you click within the image.

Hide Tool Specific Modifier Keys

When the Hide Tool is active, the following keys will modify its behavior:

  • Holding down the Alt key reverses its effect. This allows you to re-enable any spikes that you may have inadvertantly disabled.

Show Tool Specific Modifier Keys

When the Show Tool is active, the following keys will modify its behavior:

  • Holding down the Alt key reverses its effect. This allows you to disable any spikes that you may have inadvertantly enabled.

Edit Tool Specific Modifier Keys

When the Edit Tool is active, the following keys will modify its behavior:

  • Holding down the Alt key reverses its effect. This allows you to disable any spikes that you may have inadvertantly enabled.


Keyboard Shortcuts for Controls

Keyboard Shortcuts for Main Dialog

The following keyboard shortcuts may be used on the Main Dialog:

Help on Using the Main Dialog | ?
Help on the Current Control | F1
Plug-in Options Dialog | F10
[ OK ] Button | Enter
[ Cancel ] Button | Esc
Make [ Reset ] Button and Keyboard Shortcut Underlines appear | Alt

Keyboard Shortcuts for Other Dialogs

The following keyboard shortcuts may be used on all Dialogs:

Help on Using the Current Dialog | ?
Help on the Current Control | F1


Keyboard Viewport

Keyboard Shortcuts For The Viewport

Activate Viewport | D
Pan Viewport | Space Bar
Toggle Effects Only Checkbox | O (the letter)
Toggle Preview Checkbox | P
Fit In View | Control 0 (zero)
Zoom to 100% | Control 1 and also Control Alt 0 (zero)
Fit On Screen | Control O (the letter)
Zoom In One Step | Control +
Zoom Out One Step | Control –
Viewport Zoom Menu | V

Pan Viewport

After having used D to activate the Preview Viewport and give it keyboard focus (a dotted line will be present around the edge of the Viewport), holding down the Space Bar will change the cursor to a "hand" regardless of the Viewport Tool that is currently selected.

Using the "hand", while holding down the Space Bar, you can click and drag in the viewport to move the image around, so that you can see parts that are beyond the edges of the current display.
  • Holding down the Control key, while holding down the Space Bar, will change the cursor to a magnifying glass with a "plus" symbol inside, allowing you to zoom in.
  • Holding down the Alt key, while holding down the Space Bar, will change the cursor to a magnifying glass with a "minus" symbol inside, allowing you to zoom out.

Viewport Scrolling

After having used D to activate the Preview Viewport and give it keyboard focus (a dotted line will be present around the edge of the Viewport), and assuming the preview image is larger than the Viewport, the following keybord shortcuts can be used to scroll it:

  • The Up Arrow, Down Arrow, Left Arrow, and Right Arrow keys scroll the image down, up, right, or left by 1 pixel.
    • Additionally holding down the Control key causes the image to scroll by 10 pixels.
  • The Page Up and Page Down keys will scroll the image down or up by the height of the Viewport.
    • Additionally holding down the Control key causes the image to scroll to the right or left.
    • Additionally holding down the Shift key causes the scroll distance to be reduced to 10 pixels.
  • The Home key will show the upper-left corner of the image.
  • The End key will show the lower-right corner of the image.

Viewport Zoom Menu

After having used V to display the Viewport Zoom Menu, you can use the following keyboard shortcuts to select a setting:

  • The Up Arrow and Down Arrow keys will move the selection up or down.
  • The number keys will move the selection to a menu item that beings with that number.
  • The letter keys will move the selection to a menu item that begins with that letter.
  • The Return key will cause the menu item that is currently selected to be initiated.

Note that if you enter a number or letter key and that key specifies a unique menu item (e.g. Only one menu item begins with 4), the chosen menu item will be initiated immediately.


ProDigital Software Logo

Click to visit our web site ProDigital Software Logo

Clicking on the ProDigital Software logo will take you to our web site where you can see all of the other great products we have to offer. If you are having trouble, take a look at our support page and our latest frequently asked questions list while you are there.

You will find our logo on very nearly every dialog box in the plug-in. Our web site is only a click away!


Frequently Asked Questions

These are some frequently asked questions about ProDigital Software and StarSpikes Pro 3. Check them out to see if any of them answer your question.

This is a copy of our Frequently Asked Questions list at the time this version of StarSpikes Pro 3 was released. If you don't see your answer here, take a look at the Frequently Asked Questions list on our web site.

If your question still isn't answered, send us an eMail at Contact@ProDigitalSoftware.com.

How do I run StarSpikes Pro 3 once it is installed?

Because it is a filter plug-in, once you have an image open you can find StarSpikes Pro 3 in these places:

  • From the Adobe® Photoshop® menu choose Filter > ProDigital Software > StarSpikes Pro 3...
  • From the Corel® PaintShop™ Pro menu choose Effects > Plug-ins > ProDigital Software > StarSpikes Pro 3...
  • From the CorelDRAW® PHOTO-PAINT™ menu choose Effects > ProDigital Software > StarSpikes Pro 3...
  • In IrfanView, press Control K, then add the plug-in to the list. After that, choose StarSpikes Pro 3...

How can I make more effects show?

Increase the Quantity control. In fact, to get familiar with all the controls we strongly recommend you just try them all to see what they do!

Can I add effects to only the stars I want?

Absolutely! Several different ways, in fact:

  • The plug-in chooses stars on which to create effects (and how bright those effects should be) based on detected brightness and the Quantity setting you choose.
  • You can hide specific effects (or groups of them) in the image by using the Hide (X) tool while running the plug-in.
  • If effects on a star are not shown at a particular Quantity setting, you can make them show with the Show (+) tool.
  • You can make a selection in your editor prior to running the plug-in and only the stars that are inside the selection will receive effects.

Can I adjust the effects or add some where no star was detected?

Yes! Using the Edit (pencil) tool:

  • Click the tip of the pencil cursor once on the center of a set of effects to edit the brightness, color, and/or position.
  • You can add effects in a place the plug-in has not detected a star by double-clicking the pencil on the location you'd like the effects to appear, then adjusting the brightness, color, and/or position.

Is StarSpikes Pro 3 the right plug-in for general photography?

If you are a photographer and looking for a plug-in to add star star filter effects to your general photography images then you may be more interested in our StarFilter Pro 3 product, which is similar to StarSpikes Pro 3 but optimized for general photography work. Please click here to go to our StarFilter Pro 3 main page.

How is the StarSpikes Pro 3 plug-in different from the StarFilter Pro 3 plug-in?

StarSpikes Pro 3 (the plug-in for astroimages) is highly optimized to detect the positions and sizes of stars in astronomical photos - to subpixel accuracy - as people often scrutinize such imagery very closely. It also goes to extra effort to differentiate stars from bright nebulae. StarSpikes Pro 3 offers only what we term a "Standard Star" effect, in which the points are evenly distributed around the 360 degree circle (astronomers normally choose 4 points). Lastly, StarSpikes Pro 3 renders a greater difference in effect intensity between bright and dim stars.

StarFilter Pro 3 (our plug-in for general photography) is optimized to quickly find highlights in brighter images, and the plug-in renders large, visually significant effects. Besides Standard Star effects, StarFilter Pro 3 also offers 6 additional effects: Star Burst, Hyper Star, Hollywood Star, North Star, Vector Star, and Religious Cross. Most of these match the effects available with glass filters for general photography.

Is StarSpikes Pro 3 compatible with Corel® PaintShop™ Pro?

Yes. We have crafted the StarSpikes Pro 3 plug-in to be compatible with any modern editor that supports Adobe® Photoshop® compatible 8BF style filter plug-ins.

What about PHOTO-PAINT™ from the CorelDRAW® Graphics Suite?

Yes. We have crafted the StarSpikes Pro 3 plug-in to be compatible with any modern editor that supports Adobe® Photoshop® compatible 8BF style filter plug-ins.

What about Corel® PhotoImpact®?

Yes. We have crafted the StarSpikes Pro 3 plug-in to be compatible with any modern editor that supports Adobe® Photoshop® compatible 8BF style filter plug-ins.

What about Computerinsel PhotoLine editor (version 7.55 and later)?

Yes. We have crafted the StarSpikes Pro 3 plug-in to be compatible with any modern editor that supports Adobe® Photoshop® compatible 8BF style filter plug-ins. Please note that our plug-in is only compatible with versions 7.55 and later. If you have an earlier version of PhotoLine, be sure to update before using StarSpikes Pro 3.

What about Paint.NET?

Yes. We have crafted the StarSpikes Pro 3 plug-in to be compatible with any modern editor that supports Adobe® Photoshop® compatible 8BF style filter plug-ins.

What about IrfanView?

Yes. We have crafted the StarSpikes Pro 3 plug-in to be compatible with any modern editor that supports Adobe® Photoshop® compatible 8BF style filter plug-ins.

Do you take PayPal?

Yes, and credit cards. Look for the PayPal logo during the checkout process, after you have entered your name and other information.

Am I obligated to buy the software if I install it?

No, the free trial is completly obligation-free, and the plug-in is fully functional during the trial period. We're confident that once you see the dazzling effects that you can create with the plug-in you'll want to add it to your set of tools for making great astroimages.


Help And Support

If you have questions about StarSpikes Pro 3, here are some places where you can find the answers you need.

ProDigital Software Web Site

Visit our web site at to find out about our other great imaging products.

StarSpikes Pro 3 Web Pages

Here are links to the pages on our web site containing information about StarSpikes Pro 3:

  • Visit our StarSpikes Pro 3 product page for more information.
  • Visit our StarSpikes Pro 3 ordering instructions page to find out how to order our product.
  • Visit our StarSpikes Pro 3 help page.
  • See the latest StarSpikes Pro 3 Frequently Asked Questions.
  • Install the latest version of StarSpikes Pro 3.
  • Download the latest version of StarSpikes Pro 3.

Your Customer Account

If you have purchased any product from ProDigital Software by using our Shopping Cart, you have created an account on our Shopping Cart checkout server. You can log into your account to get information about the products that you have purchased from us, such as the License ID of the product.

Click here to log into your ProDigital Software account.

Customer Sales

If you have non-technical questions about our products or if you experienced any difficulty in purchasing using our Shopping Cart, you can eMail our sales department at Sales@ProDigitalSoftware.com.

Customer Support

If you are having a problem, ProDigital Software is only an Internet away; we are more than happy to help. If you think you have found a bug or just have a question, you can reach us by eMail at Support@ProDigitalSoftware.com.

General Questions

Do you have a question or a comment about us or our products? Drop us a line at Contact@ProDigitalSoftware.com.

The StarSpikes Pro 3 Manual

If you find any errors in this manual or if there is something you would like to see added to it, please drop us a line at StarSpikesManual@ProDigitalSoftware.com.


System Requirements

Check Your Hardware System Requirements

To use the StarSpikes Pro 3 plug-in, you must be running a compatible image editor program on a PC system with:

Operating System Requirements

StarSpikes Pro 3 will run on any of the following Windows operating systems.

  • Windows XP Service Pack 3, 32 bit
  • Windows XP Service Pack 1, 64 bit
  • Vista, 32 bit
  • Vista, 64 bit
  • Windows 7, 32 bit
  • Windows 7, 64 bit
  • Windows 8, 32 bit
  • Windows 8, 64 bit
  • Windows 8.1, 32 bit
  • Windows 8.1, 64 bit
  • Probably anything newer too, because we write good code!

OpenGL Requirements

StarSpikes Pro 3 uses OpenGL to display your image and the effects you've selected in its Viewport. This allows both better display quality and faster performance via GPU (Graphics Processing Unit) acceleration.

StarSpikes Pro 3 can run on systems supporting OpenGL version 1.1 or greater. However, we strongly recommend that your system support OpenGL 2.1 or greater for best results. Downloading and installing the latest video drivers from the web site of the maker of your video card can often improve OpenGL performance and stability.

Image Editors

You can use the StarSpikes Pro 3 plug-in with Adobe® Photoshop® or with other image editors that support Adobe® Photoshop® compatible 8BF style filter plug-ins, but be aware that some image editors support 8BF plug-ins better than others.

There are many fine image editors available and we simply haven't been able to test them all. If your image editor is not one of the those that we have tested and found compatible, we recommend that you take advantage of our "Try Before You Buy" offer to test StarSpikes Pro 3 with your image editor.

The following image editors have been tested and found to be compatible with StarSpikes Pro 3:

  • Adobe® Photoshop®
  • Adobe® Photoshop® Elements
  • Corel® PaintShop™ Pro
  • CorelDRAW® Graphics Suite PHOTO-PAINT™
  • Corel® PhotoImpact®
  • Computerinsel PhotoLine editor (version 7.55 and later)
  • Paint.NET
  • IrfanView

We have made every effort to make StarSpikes Pro 3 as compatible as possible. As we test for compatibility with additional editors we will list them here and on our web site. It is our intent to make our product compatible with all major photo editors that support 8BF plug-ins.